package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcStationDeviceDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


public interface XhpcStationDeviceMapper {

    List<Map<String, Object>> selectStationGunDeviceListByParams(@Param("params") Map params);

    List<Map<String, Object>> selectStationGunDeviceTreeByParams(@Param("params") Map params);

    List<Map<String, Object>> selectListByParent(@Param("params")Map params);

    Map<String, Object> selectByDeviceId(@Param("deviceId") Long deviceId);

    List<Map<String, Object>> selectStationGunDeviceTreeByParent(@Param("parentDeviceId") String parentDeviceId);

    XhpcStationDeviceDomain selectStationGunDeviceBySerialNumber(@Param("serialNumber") String serialNumber);

    int deleteByPrimaryKey(Long deviceId);

    int insert(XhpcStationDeviceDomain record);

    int insertSelective(XhpcStationDeviceDomain record);

    XhpcStationDeviceDomain selectByPrimaryKey(Long deviceId);

    int updateByPrimaryKeySelective(XhpcStationDeviceDomain record);

    int updateByPrimaryKey(XhpcStationDeviceDomain record);

    XhpcStationDeviceDomain selectBySerialNumber(@Param("serialNumber")String serialNumber);

}